<?php

namespace App\Services\ThirdPlatform;

use App\Jobs\queue\QueueJob;
use App\Repositories\Contracts\ThirdApiPlatformRepository;
use App\Services\Kafka\KafkaService;
use App\Services\PlatformDataEntriesService;
use App\Support\Facades\SimpleKafka;

class ThirdPlatformService extends PlatformAbstractService
{
    public function __construct(ThirdApiPlatformRepository $thirdApiPlatformRepository)
    {
        parent::__construct($thirdApiPlatformRepository);
    }

    public function checkPlatformToken($platformName)
    {
        $this->setPlatformName($platformName);
        $platform = $this->thirdApiPlatformRepository->getPlatformInfoByPlatformName($this->platformName);
        if(!$platform){
            return null;
        }
        $platform['platform_params'] = json_decode($platform['platform_params'], true);
        $this->platformInfo = $platform;
        return $platform;
    }
}

